org.eclipse.lyo.client.oslc.resources

## Class QmResource

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.client.oslc.resources.QmResource

- All Implemented Interfaces:
    org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource
  Direct Known Subclasses:
    TestCase, TestExecutionRecord, TestPlan, TestResult, TestScript

      public abstract class QmResource
      extends org.eclipse.lyo.oslc4j.core.model.AbstractResource

  See Also:
    `http://open-services.net/bin/view/Main/QmSpecificationV2`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QmResource()`
    `QmResource(URI about)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRdfType(URI rdfType)`
    `Date` | `getCreated()`
    `String` | `getIdentifier()`
    `URI` | `getInstanceShape()`
    `Date` | `getModified()`
    `protected abstract URI` | `getRdfType()`
    `URI[]` | `getRdfTypes()`
    `URI` | `getServiceProvider()`
    `String` | `getTitle()`
    `void` | `setCreated(Date created)`
    `void` | `setIdentifier(String identifier)`
    `void` | `setInstanceShape(URI instanceShape)`
    `void` | `setModified(Date modified)`
    `void` | `setRdfTypes(URI[] rdfTypes)`
    `void` | `setServiceProvider(URI serviceProvider)`
    `void` | `setTitle(String title)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QmResource

          public QmResource()

    - #### QmResource

          public QmResource(URI about)

  - ### Method Detail

    - #### getRdfType

          protected abstract URI getRdfType()

    - #### addRdfType

          public void addRdfType(URI rdfType)

    - #### getCreated

          @OslcDescription(value="Timestamp of resource creation.")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/created")
          @OslcReadOnly
          @OslcTitle(value="Created")
          public Date getCreated()

    - #### getIdentifier

          @OslcDescription(value="A unique identifier for a resource. Assigned by the service provider when a resource is created. Not intended for end-user display.")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/identifier")
          @OslcReadOnly
          @OslcTitle(value="Identifier")
          public String getIdentifier()

    - #### getInstanceShape

          @OslcDescription(value="Resource Shape that provides hints as to resource property value-types and allowed values. ")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#instanceShape")
          @OslcRange(value="http://open-services.net/ns/core#ResourceShape")
          @OslcTitle(value="Instance Shape")
          public URI getInstanceShape()

    - #### getModified

          @OslcDescription(value="Timestamp last latest resource modification.")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/modified")
          @OslcReadOnly
          @OslcTitle(value="Modified")
          public Date getModified()

    - #### getRdfTypes

          @OslcDescription(value="The resource type URIs.")
          @OslcName(value="type")
          @OslcPropertyDefinition(value="http://www.w3.org/1999/02/22-rdf-syntax-ns#type")
          @OslcTitle(value="Types")
          public URI[] getRdfTypes()

    - #### getServiceProvider

          @OslcDescription(value="The scope of a resource is a URI for the resource\'s OSLC Service Provider.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#serviceProvider")
          @OslcRange(value="http://open-services.net/ns/core#ServiceProvider")
          @OslcTitle(value="Service Provider")
          public URI getServiceProvider()

    - #### getTitle

          @OslcDescription(value="Title (reference: Dublin Core) or often a single line summary of the resource represented as rich text in XHTML content.")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/title")
          @OslcTitle(value="Title")
          @OslcValueType(value=XMLLiteral)
          public String getTitle()

    - #### setCreated

          public void setCreated(Date created)

    - #### setIdentifier

          public void setIdentifier(String identifier)

    - #### setInstanceShape

          public void setInstanceShape(URI instanceShape)

    - #### setModified

          public void setModified(Date modified)

    - #### setRdfTypes

          public void setRdfTypes(URI[] rdfTypes)

    - #### setServiceProvider

          public void setServiceProvider(URI serviceProvider)

    - #### setTitle

          public void setTitle(String title)

Copyright © 2016. All Rights Reserved.